Imagick::getImageDispose
Imagick::getImageExtrema
The Imagick class
PHP Manual

# Imagick::getImageDistortion

(PECL imagick 2.0.0)

Imagick::getImageDistortion — Compares an image to a reconstructed image

### Description

float Imagick::getImageDistortion ( MagickWand `$reference` , int `$metric` )
Warning

This function is currently not documented; only its argument list is available.

Compares an image to a reconstructed image and returns the specified distortion metric.

### Parameters

`reference`

  Imagick object to compare to.

`metric`

  One of the metric type constants.

### Return Values

Returns the distortion metric used on the image (or the best guess thereof). Throw an ImagickException on error.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageDispose
Imagick::getImageExtrema
The Imagick class
PHP Manual